CHVIDEOMODE(1)

NAME
chvideomode - interactively change the screen resolution

SYNOPSIS
chvideomode [--show-all=bool] [--show-supported=bool] [--show-unsupported=bool] [--show-text=bool] [--show-graphics=bool] [--bpp=bpp] [--min-bpp=min-bpp] [--max-bpp=max-bpp] [--width=width] [--min-width=min-width] [--max-width=max-width] [--height=height] [--min-height=min-height] [--max-height=max-height] [command ...]

DESCRIPTION
chvideomode changes the video mode by displaying an interactive menu containing a list of available modes, with an additional entry for entering a custom mode (if supported by the driver). If the mode change succeeds and command is specified, command is executed. If the mode change fails, the menu is redisplayed until cancellation or a successful mode change.

By default, chvideomode only displays supported text and graphical modes, but modes can also be explicitly filtered via options. Multiple filters can be specified, and only modes matching all filters will be displayed. If a filter has min and max options, setting it is equivalent to setting min and max to the same value; for example, --bpp=32 is equivalent to --min-bpp=32, --max-bpp=32. Filters taking bool as an argument have possible values of true or false. If the same filter is specified multiple times, only the last specified value is used.

The interactive key commands are as follows:

Up Arrow
    Move the selection up 1 item.

Down Arrow
    Move the selection down 1 item.

Escape
    Quit without changing video mode.

Enter
    Change the video mode to the current selection.

The options are as follows:

--show-all=bool
    Override all other filter options, displaying every mode if bool is true. (defaults to false)

--show-supported=bool
    Show supported video modes if bool is true. (defaults to true)

--show-unsupported=bool
    Show unsupported video modes if bool is true. (defaults to false)

--show-text=bool
    Show video modes available in text mode if bool is true. (defaults to true)

--show-graphics=bool
    Show video modes available in graphics mode if bool is true. (defaults to true)

--bpp=bpp
    Show video modes with bits-per-pixel equal to bpp.

--min-bpp=min-bpp
    Show video modes with bits-per-pixel greater than min-bpp, inclusive.

--max-bpp=max-bpp
    Show video modes with bits-per-pixel less than max-bpp, inclusive.

--width=width
    Show video modes with width equal to width.

--min-width=min-width
    Show video modes with width greater than min-width, inclusive.

--max-width=max-width
    Show video modes with width less than max-width, inclusive.

--height=height
    Show video modes with height equal to height.

--min-height=min-height
    Show video modes with height greater than min-height, inclusive.

--max-height=max-height
    Show video modes with height less than max-height, inclusive.

EXIT STATUS
chvideomode exits with an exit status of 10 if the menu is quit, 11 if no modes are available, 12 if no modes are available after filtering, 13 if the terminal has no associated video devices, 127 if command failed to run, or 1 on any other error. If chvideomode changes the video mode successfully, chvideomode exits with the exit status of command if specified, or 0 otherwise.

SEE ALSO
chkblayout(1), dispmsg_issue(2), videomode(5)

BUGS
chvideomode only supports a single monitor.